Summary: 	Library for reading and writing ID3v1 and ID3v2 tags
Name: 		libid3tag
Version: 	0.15.1b
Release: 	3
Group:		Libraries
URL: 		http://www.underbit.com/products/mad/
Source: 	http://download.sf.net/mad/%{name}-%{version}.tar.gz
License: 	GPL
Buildroot: 	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
A library for reading and (eventually) writing ID3 tags, both ID3v1 and the
various versions of ID3v2.

%package 	devel
Summary:	%{summary}
Group:		Development

%description 	devel
The %{name}-devel package includes the static libraries and header files
for the %{name} package.

Install %{name}-devel if you want to develop programs which will use
%{name}.

%prep
%setup -q
%{__cat} > id3tag.pc << EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
libdir=%{_libdir}
includedir=%{_includedir}

Name: id3tag
Description: ID3 tag library
Requires:
Version: %{version}
Libs: -L%{_libdir} -lid3tag -lz
Cflags: -I%{_includedir}
EOF

%build
%configure \
    --enable-shared --disable-nls \
    --disable-dependency-tracking \
    --enable-accuracy \
    --disable-debugging

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
%{__install} -Dp -m 0644 id3tag.pc %{buildroot}%{_libdir}/pkgconfig/id3tag.pc

%clean
rm -r $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-,root,root)
%{_libdir}/*.a
%{_libdir}/pkgconfig
%{_includedir}
